diff --git a/src/tools/pgindent/typedefs.list b/src/tools/pgindent/typedefs.list
index 87c147dfdb..f84559029b 100644
--- a/src/tools/pgindent/typedefs.list
+++ b/src/tools/pgindent/typedefs.list
@@ -566,6 +566,7 @@ DefElemAction
 DefaultACLInfo
 DefineStmt
 DeleteStmt
+DeparsedCommandType
 DependencyGenerator
 DependencyGeneratorData
 DependencyType
@@ -1461,6 +1462,7 @@ LogicalDecodeBeginPrepareCB
 LogicalDecodeChangeCB
 LogicalDecodeCommitCB
 LogicalDecodeCommitPreparedCB
+LogicalDecodeDDLMessageCB
 LogicalDecodeFilterByOriginCB
 LogicalDecodeFilterPrepareCB
 LogicalDecodeMessageCB
@@ -1471,6 +1473,7 @@ LogicalDecodeStartupCB
 LogicalDecodeStreamAbortCB
 LogicalDecodeStreamChangeCB
 LogicalDecodeStreamCommitCB
+LogicalDecodeStreamDDLMessageCB
 LogicalDecodeStreamMessageCB
 LogicalDecodeStreamPrepareCB
 LogicalDecodeStreamStartCB
@@ -2317,6 +2320,7 @@ ReorderBufferChange
 ReorderBufferChangeType
 ReorderBufferCommitCB
 ReorderBufferCommitPreparedCB
+ReorderBufferDDLMessageCB
 ReorderBufferDiskChange
 ReorderBufferIterTXNEntry
 ReorderBufferIterTXNState
@@ -2326,6 +2330,7 @@ ReorderBufferRollbackPreparedCB
 ReorderBufferStreamAbortCB
 ReorderBufferStreamChangeCB
 ReorderBufferStreamCommitCB
+ReorderBufferStreamDDLMessageCB
 ReorderBufferStreamMessageCB
 ReorderBufferStreamPrepareCB
 ReorderBufferStreamStartCB
@@ -3919,6 +3924,7 @@ xl_heap_visible
 xl_invalid_page
 xl_invalid_page_key
 xl_invalidations
+xl_logical_ddl_message
 xl_logical_message
 xl_multi_insert_tuple
 xl_multixact_create
-- 
2.34.1

